/// <reference types="fhir" />
import { Observable } from "rxjs";
import { FetchResponse } from "../openmrs-fetch";
declare function getCurrentPatient(): Observable<fhir.Patient>;
declare function getCurrentPatient(opts: PatientWithFullResponse): Observable<FetchResponse<fhir.Patient>>;
declare function getCurrentPatient(opts: OnlyThePatient): Observable<fhir.Patient>;
export { getCurrentPatient };
export declare function refetchCurrentPatient(): void;
export declare function getCurrentPatientUuid(): Observable<PatientUuid>;
export declare type CurrentPatient = fhir.Patient | FetchResponse<fhir.Patient>;
interface CurrentPatientOptions {
    includeConfig?: boolean;
}
interface PatientWithFullResponse extends CurrentPatientOptions {
    includeConfig: true;
}
interface OnlyThePatient extends CurrentPatientOptions {
    includeConfig: false;
}
export declare type PatientUuid = string | null;
